Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_STDlev.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_STDlev.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_STDlev.h	(revision 740)
@@ -6,50 +6,50 @@
 c
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,tsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,usumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,vsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,wsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,phisumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,qsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,rhsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,uvsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,vqsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,vTsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,wqsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,vphisumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,wTsumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,u2sumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,v2sumSTD)
         CALL ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime,ecrit_day,ecrit_mth,
      $                    tnondef,T2sumSTD)
 c
@@ -155,84 +155,84 @@
 c
 cIM on somme les valeurs definies a chaque pas de temps de la physique ou 
-cIM toutes les 6 heures
+cIM toutes les "hautes frequences"
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.TRUE.
        CALL undefSTD(nlevSTD,itap,tlevSTD,
-     $               ecrit_hf,
+     $               dtime,ecrit_hf,
      $               oknondef,tnondef,tsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,ulevSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,usumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,vlevSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,vsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,wlevSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,wsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,philevSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,phisumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,qlevSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,qsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,rhlevSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,rhsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,uvSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,uvsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,vqSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,vqsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,vTSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,vTsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,wqSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,wqsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,vphiSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,vphisumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,wTSTD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,wTsumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,u2STD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,u2sumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,v2STD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,v2sumSTD)
 c
        oknondef(1:klon,1:nlevSTD,1:nout)=.FALSE.
        CALL undefSTD(nlevSTD,itap,T2STD,
-     $           ecrit_hf,
+     $           dtime,ecrit_hf,
      $               oknondef,tnondef,T2sumSTD)
 c
@@ -240,65 +240,65 @@
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,tsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,usumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,vsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,wsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,phisumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,qsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,rhsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,uvsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,vqsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,vTsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,wqsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,vphisumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,wTsumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,u2sumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,v2sumSTD)
 c
        CALL moy_undefSTD(nlevSTD,itap,
-     $      ecrit_day,ecrit_mth,ecrit_hf2mth,
+     $      dtime,ecrit_day,ecrit_mth,ecrit_hf2mth,
      $                   tnondef,T2sumSTD)
 c
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_divers.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_divers.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_divers.h	(revision 740)
@@ -5,5 +5,5 @@
 c initialisations diverses au "debut" du mois
 c
-      IF(MOD(itap,ecrit_mth).EQ.1) THEN
+      IF(MOD(itap,NINT(ecrit_mth/dtime)).EQ.1) THEN
          DO i=1, klon
           nday_rain(i)=0.
@@ -19,5 +19,5 @@
       ENDIF !MOD(itap,ecrit_mth).EQ.1
 c
-      IF(MOD(itap,ecrit_day).EQ.0) THEN
+      IF(MOD(itap,NINT(ecrit_day/dtime)).EQ.0) THEN
 c
 cIM calcul total_rain, nday_rain
@@ -27,3 +27,3 @@
         IF(total_rain(i).GT.0.) nday_rain(i)=nday_rain(i)+1.
        ENDDO
-      ENDIF !itap.EQ.ecrit_mth
+      ENDIF !itap.EQ.ecrit_day
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_simulISCCP.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_simulISCCP.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/calcul_simulISCCP.h	(revision 740)
@@ -86,13 +86,4 @@
       close(99)
 c
-cIM: calcul coordonnees regions pour statistiques distribution 
-cIM: nuages en ftion du regime dynamique pour regions oceaniques
-c
-      IF (ok_regdyn) THEN !histREGDYN
-c
-#include "ini_coord_REGDYN.h"
-c
-      ENDIF !ok_regdyn
-c 
       ENDIF !debut
 c
@@ -140,19 +131,4 @@
       debugcol=0
 c
-cIM o500 ==> distribution nuage ftion du regime dynamique (vit. verticale a 500 hPa)
-c
-        DO k=1, klevm1
-        kp1=k+1
-c       PRINT*,'k, presnivs',k,presnivs(k), presnivs(kp1)
-        if(presnivs(k).GT.50000.AND.presnivs(kp1).LT.50000.) THEN
-         DO i=1, klon
-          o500(i)=omega(i,k)*RDAY/100.
-c         if(i.EQ.1) print*,' 500hPa lev',k,presnivs(k),presnivs(kp1)
-         ENDDO
-         GOTO 1000
-        endif 
-1000  continue
-      ENDDO
-c
 cIM recalcule les nuages vus par satellite, via le simulateur ISCCP
 c
@@ -184,11 +160,4 @@
      &     boxptop)
 c
-c calcul regime dynamique sur les regions fixees
-c
-       IF (ok_regdyn) THEN !histREGDYN
-c
-#include "calcul_REGDYN.h"
-c
-       ENDIF !(ok_regdyn) THEN !histREGDYN
 cIM    ENDIF !(MOD(itaprad,radpas).EQ.0) THEN
 cIM 010904 END
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/clesphys.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/clesphys.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/clesphys.h	(revision 740)
@@ -24,8 +24,8 @@
        INTEGER lev_histhf, lev_histday, lev_histmth
        CHARACTER*4 type_run
-       LOGICAL ok_isccp, ok_regdyn
+       LOGICAL ok_isccp
        REAL lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
        REAL ecrit_ins, ecrit_hf, ecrit_hf2mth, ecrit_day
-       REAL ecrit_mth, ecrit_tra, ecrit_reg 
+       REAL ecrit_mth, ecrit_tra, ecrit_reg, ecrit_ISCCP 
 
        COMMON/clesphys/cycle_diurne, soil_model, new_oliq,
@@ -35,6 +35,6 @@
      S     , top_height, overlap, cdmmax, cdhmax, ksta, ksta_ter
      S     , ok_kzmin, lev_histhf, lev_histday, lev_histmth
-     S     , type_run, ok_isccp, ok_regdyn
+     S     , type_run, ok_isccp
      S     , lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
      S     , ecrit_ins, ecrit_hf, ecrit_hf2mth, ecrit_day
-     S     , ecrit_mth, ecrit_tra, ecrit_reg, bug_ozone
+     S     , ecrit_mth, ecrit_tra, ecrit_reg, ecrit_ISCCP, bug_ozone
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/conf_phys.F90
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/conf_phys.F90	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/conf_phys.F90	(revision 740)
@@ -5,5 +5,5 @@
 !
 
-  subroutine conf_phys(ocean, ok_veget, ok_journe, ok_mensuel, ok_instan, &
+  subroutine conf_phys(pdtphys, ocean, ok_veget, ok_journe, ok_mensuel, ok_instan, &
  &                     fact_cldcon, facttemps,ok_newmicro,iflag_cldcon, &
  &                     ratqsbas,ratqshaut,if_ebil, &
@@ -30,5 +30,5 @@
 !
 
-!
+! pdtphys:    pas d'integration pour la physique (seconde) 
 ! ocean:      type d'ocean (force, slab, couple)
 ! ok_veget:   type de modele de vegetation
@@ -40,5 +40,6 @@
 !
 
-
+! Entree:
+  REAL :: pdtphys
 ! Sortie:
   character (len = 6)  :: ocean
@@ -49,4 +50,5 @@
   real                 :: fact_cldcon, facttemps,ratqsbas,ratqshaut
   integer              :: iflag_cldcon, if_ebil
+  integer              :: iflag_thermals,nsplit_thermals
 
 ! Local
@@ -54,5 +56,5 @@
   real                 :: zzz
 
-  integer :: iflag_thermals,nsplit_thermals
+  REAL, PARAMETER      :: un_jour=86400.
 !
 !
@@ -597,14 +599,4 @@
 
 !
-!
-!Config Key  = ok_regdyn
-!Config Desc =
-!Config Def  = 'AMIP'
-!Config Help =
-!
-! ok_regdyn = .true.
-  ok_regdyn = .false.
-  call getin('ok_regdyn',ok_regdyn)
-!
 ! coordonnees (lonmin_ins, lonmax_ins, latmin_ins, latmax_ins) pour la zone 
 ! avec sorties instantannees tous les pas de temps de la physique => "histbilKP_ins.nc"
@@ -643,65 +635,73 @@
 !
 !Config Key  = ecrit_ins
-!Config Desc =
-!Config Def  = NINT(86400./dtime/48.) !a chaque pas de temps physique
-!Config Help =
-!
-! ecrit_ins = NINT(86400./dtime/48.)
-  ecrit_ins = NINT(86400./48.)
+!Config Desc = frequence ecriture fichier histins.nc en secondes
+!Config Def  = pdtphys !a chaque pas de temps physique
+!Config Help =
+!
+  ecrit_ins = pdtphys
   call getin('ecrit_ins',ecrit_ins)
 !
 !Config Key  = ecrit_hf
-!Config Desc =
-!Config Def  = NINT(86400./dtime *0.25) !toutes les 6h
-!Config Help =
-!
-! ecrit_hf = NINT(86400./dtime *0.25)
-  ecrit_hf = NINT(86400. *0.25)
+!Config Desc = frequence ecriture fichier histhf.nc en nombre de jours
+!Config Def  = 0.25 !toutes les 6h
+!Config Help =
+!
+  ecrit_hf = 0.25
   call getin('ecrit_hf',ecrit_hf)
+  ecrit_hf = ecrit_hf * un_jour !ecrit_hf en secondes
+!
+!
+!Config Key  = ecrit_day
+!Config Desc = frequence ecriture fichier histday.nc en nombre de jours
+!Config Def  = 1.0 !tous les jours
+!Config Help =
+!
+  ecrit_day = 1.0
+  call getin('ecrit_day',ecrit_day)
+  ecrit_day = ecrit_day * un_jour !ecrit_day en secondes
+!
+!Config Key  = ecrit_mth
+!Config Desc = frequence ecriture fichier histmth.nc en nombre de jours
+!Config Def  = 30. !1fois par mois
+!Config Help =
+!
+  ecrit_mth = 30.
+  call getin('ecrit_mth',ecrit_mth)
+  ecrit_mth = ecrit_mth * un_jour !ecrit_mth en secondes
 !
 !Config Key  = ecrit_hf2mth
-!Config Desc =
-!Config Def  = 4*30 !ecriture mens. a partir de val. inst. toutes les 6h
-!Config Help =
-!
-  ecrit_hf2mth = 4*30
+!Config Desc = frequence ecriture/calcul fichier histNMC.nc ; calcul a partir des
+!Config Desc = valeurs haute frequence "hf" et ecriture 1 fois par mois
+!Config Def  = ecrit_mth/ecrit_hf !ecriture mens. a partir de val. inst. toutes les 6h
+!Config Help =
+!
+  ecrit_hf2mth = ecrit_mth/ecrit_hf
   call getin('ecrit_hf2mth',ecrit_hf2mth)
 !
-!Config Key  = ecrit_day
-!Config Desc =
-!Config Def  = NINT(86400./dtime *1.0) !tous les jours
-!Config Help =
-!
-! ecrit_day = NINT(86400./dtime *1.0)
-  ecrit_day = NINT(86400. *1.0)
-  call getin('ecrit_day',ecrit_day)
-!
-!Config Key  = ecrit_mth
-!Config Desc =
-!Config Def  = NINT(86400./dtime *ecritphy) !1fois par mois
-!Config Help =
-!
-! ecrit_mth = NINT(86400./dtime *ecritphy)
-  ecrit_mth = NINT(86400. *ecritphy)
-  call getin('ecrit_mth',ecrit_mth)
-!
 !Config Key  = ecrit_tra
-!Config Desc =
-!Config Def  = NINT(86400./dtime * ecritphy) !tous les pas de temps physiques
-!Config Help =
-!
-! ecrit_tra = NINT(86400./dtime * ecritphy)
-  ecrit_tra = NINT(86400.* ecritphy)
+!Config Desc = frequence ecriture fichier histrac.nc en secondes (!)
+!Config Def  = pdtphys !tous les pas de temps physiques
+!Config Help =
+!
+  ecrit_tra = pdtphys
   call getin('ecrit_tra',ecrit_tra)
 !
+!Config Key  = ecrit_ISCCP
+!Config Desc = frequence de sortie fichier histISCCP.nc en nombre de jours
+!Config Def  = 1.  !1 fois par jour
+!Config Help =
+!
+  ecrit_ISCCP = 1.
+  call getin('ecrit_ISCCP',ecrit_ISCCP)
+!
+!
 !Config Key  = ecrit_reg
-!Config Desc =
-!Config Def  = NINT(86400./dtime *0.25)  !4 fois par jour
-!Config Help =
-!
-! ecrit_reg = NINT(86400./dtime *0.25)  !4 fois par jour
-  ecrit_reg = NINT(86400. *0.25)  !4 fois par jour
+!Config Desc = frequence de sortie region du fichier ?? en nombre de jours
+!Config Def  = 0.25  !4 fois par jour
+!Config Help =
+!
+  ecrit_reg = 0.25  !4 fois par jour
   call getin('ecrit_reg',ecrit_reg)
-!
+  ecrit_reg = ecrit_reg * un_jour !!ecrit_reg en secondes
 !
 !
@@ -769,5 +769,4 @@
   write(numout,*)' type_run = ',type_run 
   write(numout,*)' ok_isccp = ',ok_isccp 
-  write(numout,*)' ok_regdyn = ',ok_regdyn
   write(numout,*)' lonmin lonmax latmin latmax bilKP_ins =',&
  & lonmin_ins, lonmax_ins, latmin_ins, latmax_ins
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_bilKP_ave.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_bilKP_ave.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_bilKP_ave.h	(revision 740)
@@ -5,5 +5,5 @@
 c
          zsto = dtime
-         zout = dtime * ecrit_day
+         zout = ecrit_day
          typeval=tave
 c
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histISCCP.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histISCCP.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histISCCP.h	(revision 740)
@@ -11,4 +11,6 @@
         zstophy = dtime
 c
+c zout : frequence ecriture
+c
 c ecriture 8 fois par jour
 c       zout = dtime * REAL(NINT(86400./dtime*ecrit_isccp))
@@ -18,14 +20,9 @@
 c       zout = dtime
 c
-c ecriture mensuelle
-        zout = dtime * ecrit_mth
-c       zout = dtime * ecrit_day
-c
-c       PRINT*, 'La frequence de sortie ISCCP est de ', ecrit_isccp
+        zout = ecrit_ISCCP
 c
         idayref = day_ref
         CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)
         write(*,*)'ISCCP ', itau_phy, zjulian
-c
 c
 c definition coordonnees lon,lat en globale
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histREGDYN.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histREGDYN.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histREGDYN.h	(revision 740)
@@ -38,5 +38,5 @@
 c ecriture mensuelle
 c
-         zout = dtime * ecrit_mth
+         zout = ecrit_mth
 cIM 020904      
 c        zout = dtime * ecrit_day
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histday.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histday.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histday.h	(revision 740)
@@ -5,6 +5,6 @@
 c
        zstophy = dtime
-       zstoday= dtime * ecrit_day
-       zout = dtime * ecrit_day
+       zstoday= ecrit_day
+       zout = ecrit_day
 c
          idayref = day_ref
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histday_seri.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histday_seri.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histday_seri.h	(revision 740)
@@ -5,5 +5,5 @@
 c
        zstophy = dtime
-       zout = dtime * ecrit_day
+       zout = ecrit_day
 c
          idayref = day_ref
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histhf.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histhf.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histhf.h	(revision 740)
@@ -5,8 +5,8 @@
       IF (ok_hf) THEN
 c
-       zstohf = dtime * ecrit_hf
+       zstohf = ecrit_hf
        zstophy = dtime
-       zstoday = dtime * ecrit_day
-       zout = dtime * ecrit_hf
+       zstoday = ecrit_day
+       zout = ecrit_hf
 c
          idayref = day_ref
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histhf3d.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histhf3d.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histhf3d.h	(revision 740)
@@ -4,10 +4,6 @@
 c sorties hf 3d
 c
-cIM 130904     zstohf = dtime * REAL(NINT(86400./dtime*ecrit_hf))
-cIM 130904     zout = dtime * REAL(NINT(86400./dtime*ecrit_hf))
-cIM     zstohf = dtime * FLOAT(ecrit_hf)
-cIM     zout = dtime * FLOAT(ecrit_hf)
-        zstohf = dtime * ecrit_hf
-        zout = dtime * ecrit_hf
+        zstohf = ecrit_hf
+        zout = ecrit_hf
 c
 c       PRINT*, 'La frequence de sortie hf3d est de ', ecrit_hf
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histins.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histins.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histins.h	(revision 740)
@@ -4,6 +4,6 @@
       IF (ok_instan) THEN
 c
-          zsto = dtime * ecrit_ins
-          zout = dtime * ecrit_ins
+          zsto = ecrit_ins
+          zout = ecrit_ins
 c
          idayref = day_ref
@@ -24,5 +24,4 @@
          write(*,*)'Inst ', itau_phy, zjulian
          CALL histvert(nid_ins, "presnivs", "Vertical levels", "mb",
-cIM    .                 klev, presnivs, nvert)
      .                 klev, presnivs/100., nvert)
 c        call histvert(nid_ins, 'sig_s', 'Niveaux sigma','-',
@@ -201,7 +200,4 @@
      .                "inst(X)", zsto,zout)
 c
-c
-cIM cf. AM 081204 BEG
-c HBTM2
          CALL histdef(nid_ins, "s_pblh", "Boundary Layer Height", "m",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
@@ -247,6 +243,4 @@
      .                "inst(X)", zsto,zout)
 c
-cIM cf. AM 081204 END
-c
 c Champs 3D:
 c
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histmth.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histmth.h	(revision 740)
@@ -5,11 +5,11 @@
 c
        zstophy = dtime
-       zstomth = dtime * ecrit_mth !valeurs mensuelles "instantannees"
+       zstomth = ecrit_mth                !valeurs mensuelles "instantannees"
        zstorad = dtime * FLOAT(radpas)    !variables stockees toutes les 2h
-       zstohf = dtime * ecrit_hf   !variables stockees toutes les 6h
-       zout = dtime * ecrit_mth    !frequence des sorties : 1 val. par mois
-c
-cIM    PRINT*,' La zstophy,zstorad,zstohf,zstomth,zout=',
-cIM  . zstophy,zstorad,zstohf,zstomth,zout
+       zstohf = ecrit_hf                  !variables stockees toutes les 6h
+       zout = ecrit_mth                   !frequence des sorties : 1 val. par mois
+c
+c     PRINT*,' La zstophy,zstorad,zstohf,zstomth,zout=',
+c   . zstophy,zstorad,zstohf,zstomth,zout
 c
          idayref = day_ref
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histmthNMC.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histmthNMC.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histmthNMC.h	(revision 740)
@@ -5,7 +5,7 @@
 c
        zstophy = dtime
-       zstohf = dtime * ecrit_hf
-       zstomth = dtime * ecrit_mth
-       zout = dtime * ecrit_mth
+       zstohf = ecrit_hf
+       zstomth = ecrit_mth
+       zout = ecrit_mth
 c
          idayref = day_ref
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histrac.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histrac.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_histrac.h	(revision 740)
@@ -39,5 +39,7 @@
 
          zsto = pdtphys
-         zout = pdtphys * ecrit_tra
+         zout = ecrit_tra
+c
+c        print*,'ini_histrac: zsto zout',zsto,zout
 c
          CALL histdef(nid_tra, "phis", "Surface geop. height", "-",
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_undefSTD.F
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_undefSTD.F	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/ini_undefSTD.F	(revision 740)
@@ -1,4 +1,4 @@
       SUBROUTINE ini_undefSTD(nlevSTD,itap,
-     $           ecrit_day,ecrit_mth,
+     $           dtime, ecrit_day,ecrit_mth,
      $           tnondef,tsumSTD)
       IMPLICIT none
@@ -33,5 +33,7 @@
       INTEGER nlevSTD, klevSTD, itap
       PARAMETER(klevSTD=17)
-      INTEGER ecrit_day,ecrit_mth
+071206
+      REAL dtime
+      REAL ecrit_day,ecrit_mth
 c
 c variables locales
@@ -45,5 +47,5 @@
 c initialisation variables journalieres en debut de journee
 c
-      IF(MOD(itap,ecrit_day).EQ.1.) THEN
+      IF(MOD(itap,NINT(ecrit_day/dtime)).EQ.1.) THEN
        DO k=1, nlevSTD
         DO i=1, klon
@@ -57,5 +59,5 @@
 c en debut de mois : nout=2
 c
-      IF(MOD(itap,ecrit_mth).EQ.1.) THEN
+      IF(MOD(itap,NINT(ecrit_mth/dtime)).EQ.1.) THEN
 c
        DO k=1, nlevSTD
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/physiq.F
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/physiq.F	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/physiq.F	(revision 740)
@@ -43,5 +43,4 @@
 #define histmth
 #define histISCCP
-#define histREGDYN
 #define histmthNMC
 c======================================================================
@@ -381,8 +380,10 @@
       REAL nbsunlit(nregISCtot,klon)  !nbsunlit : moyenne de sunlit
       INTEGER ncol, seed(klon)
+
 cIM ajout seed_re (REAL)et seed_old (integer)
       REAL seed_re(klon), aa
       INTEGER seed_old(klon)
       SAVE seed_old
+
 
 
@@ -439,32 +440,11 @@
       REAL o500(klon)
 c
-cIM: nbregdyn = nbre regions pour calculs statistiques sur output du ISCCP
-cIM: dynamiques  
-      INTEGER nreg, nbregdyn
-      PARAMETER(nbregdyn=5)
-      REAL histoW(kmaxm1,lmaxm1,iwmax,nbregdyn)
-      REAL nhistoW(kmaxm1,lmaxm1,iwmax,nbregdyn)
-      REAL nhistoWt(kmaxm1,lmaxm1,iwmax,nbregdyn) 
-      SAVE nhistoWt
-
-      INTEGER linv
-      INTEGER pct_ocean(klon,nbregdyn)
  
 c sorties ISCCP
 
-c     logical ok_isccp
-c     real ecrit_isccp
       integer nid_isccp
-c     save ok_isccp, ecrit_isccp, nid_isccp        
       save nid_isccp        
 cIM 090704 BEG
       INTEGER nbapp_isccp,isccppas
-
-c sorties statistiques regime dynamique
-c     logical ok_regdyn
-c     real ecrit_regdyn
-      integer nid_regdyn
-c     save ok_regdyn, ecrit_regdyn, nid_regdyn
-      save nid_regdyn
 
       REAL zx_tau(kmaxm1), zx_pc(lmaxm1), zx_o500(iwmax)
@@ -546,10 +526,6 @@
 c
       logical ok_hf
-cIM200505     integer ecrit_hf
-cIM200505    integer ecrit_hf2mth
-cIM200505    save ecrit_hf2mth
 c
       integer nid_hf, nid_hf3d
-cIM200505     save ok_hf, ecrit_hf, nid_hf, nid_hf3d
       save ok_hf, nid_hf, nid_hf3d
 
@@ -557,5 +533,4 @@
 
 #ifdef histhf
-cIM 130904   data ok_hf,ecrit_hf/.true.,0.25/
       data ok_hf/.true./
 #else
@@ -1034,6 +1009,4 @@
 c
 c======================================================================
-cIM200505     INTEGER ecrit_mth
-cIM200505     SAVE ecrit_mth   ! frequence d'ecriture (fichier mensuel)
 c
 cIM cf. AM 081204 BEG
@@ -1051,13 +1024,4 @@
 cIM cf. AM 081204 END
 
-c
-cIM200505     INTEGER ecrit_day
-cIM200505     SAVE ecrit_day   ! frequence d'ecriture (fichier journalier)
-c
-cIM200505     INTEGER ecrit_ins
-cIM200505     SAVE ecrit_ins   ! frequence d'ecriture (fichier instantane)
-c
-cIM200505     INTEGER ecrit_reg
-cIM200505     SAVE ecrit_reg   ! frequence d'ecriture
 c
       integer itau_w   ! pas de temps ecriture = itap + itau_phy
@@ -1258,6 +1222,6 @@
          solswai(:)=0.
          solswad(:)=0.
-!rv
-! anne
+crv
+c anne
          d_u_con(:,:) = 0.0
          d_v_con(:,:) = 0.0
@@ -1267,7 +1231,5 @@
          clwcon(:,:) = 0.0
          paire_ter(:) = 0.0
-         nhistoW(:,:,:,:) = 0.0
-         histoW(:,:,:,:) = 0.0
-! fin anne
+c fin anne
 
 cym
@@ -1278,5 +1240,5 @@
 c appel a la lecture du run.def physique
 c
-         call conf_phys(ocean, ok_veget, ok_journe, ok_mensuel,
+         call conf_phys(pdtphys, ocean, ok_veget, ok_journe, ok_mensuel,
      .                  ok_instan, fact_cldcon, facttemps,ok_newmicro,
      .                  iflag_cldcon,ratqsbas,ratqshaut, if_ebil,
@@ -1392,57 +1354,7 @@
          ENDIF
 c
-c
          lmt_pas = NINT(86400./dtime * 1.0)   ! tous les jours
          WRITE(lunout,*)'La frequence de lecture surface est de ', 
      .                   lmt_pas
-c
-cIM200505        ecrit_mth = NINT(86400./dtime *ecritphy)  ! tous les ecritphy jours
-c        IF (ok_mensuel) THEN
-c        WRITE(lunout,*)'La frequence de sortie mensuelle est de ', 
-c    .                   ecrit_mth
-c        ENDIF
-c        ecrit_day = NINT(86400./dtime *1.0)  ! tous les jours
-c        IF (ok_journe) THEN
-c        WRITE(lunout,*)'La frequence de sortie journaliere est de ',
-c    .                   ecrit_day
-c        ENDIF
-cIM 130904 BEG
-cIM 080205      ecrit_hf = 86400./dtime *0.25  ! toutes les 6h
-cIM 170305      
-c        ecrit_hf = 86400./dtime/12.  ! toutes les 2h
-cIM 230305      
-cIM200505        ecrit_hf = 86400./dtime *0.25  ! toutes les 6h
-c
-cIM200505        ecrit_hf2mth = ecrit_day/ecrit_hf*30
-c
-cIM200505        IF (ok_journe) THEN
-cIM200505        WRITE(lunout,*)'La frequence de sortie hf est de ',
-cIM200505    .                   ecrit_hf
-cIM200505        ENDIF
-cIM 130904 END
-ccc         ecrit_ins = NINT(86400./dtime *0.5)  ! 2 fois par jour
-ccc         ecrit_ins = NINT(86400./dtime *0.25)  ! 4 fois par jour
-c        ecrit_ins = NINT(86400./dtime/48.)  ! a chaque pas de temps ==> PB. dans time_counter pour 1mois
-c        ecrit_ins = NINT(86400./dtime/12.)  ! toutes les deux heures
-cIM200505        ecrit_ins = NINT(86400./dtime/8.)  ! toutes les trois heures
-cIM200505        IF (ok_instan) THEN
-cIM200505        WRITE(lunout,*)'La frequence de sortie instant. est de ', 
-cIM200505    .                   ecrit_ins
-cIM200505        ENDIF
-cIM200505        ecrit_reg = NINT(86400./dtime *0.25)  ! 4 fois par jour
-cIM200505        IF (ok_region) THEN
-cIM200505        WRITE(lunout,*)'La frequence de sortie region est de ', 
-cIM200505    .                   ecrit_reg
-cIM200505        ENDIF
-c
-cIM 230505 BEG
-         ecrit_ins = NINT(ecrit_ins/dtime)
-         ecrit_hf = NINT(ecrit_hf/dtime)
-c        ecrit_hf2mth = 4*30
-         ecrit_day = NINT(ecrit_day/dtime)
-         ecrit_mth = NINT(ecrit_mth/dtime)
-         ecrit_tra = NINT(ecrit_tra/dtime)
-         ecrit_reg = NINT(ecrit_reg/dtime)
-cIM 230505 END
 c
 c Initialiser le couplage si necessaire
@@ -1496,12 +1408,4 @@
 #ifdef histISCCP
 #include "ini_histISCCP.h"
-#endif
-
-#ifdef histmthNMC
-#include "ini_histmthNMC.h"
-#endif
-
-#ifdef histREGDYN
-#include "ini_histREGDYN.h"
 #endif
 
@@ -2963,12 +2867,7 @@
 #endif
 
-#ifdef histREGDYN
-#include "write_histREGDYN.h"
-#endif
-
 #ifdef histISCCP
 #include "write_histISCCP.h"
 #endif
-
 
 #ifdef histmthNMC
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/phytrac.F
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/phytrac.F	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/phytrac.F	(revision 740)
@@ -2,5 +2,4 @@
 ! $Header$
 !
-c
 c
       SUBROUTINE phytrac (rnpb,
@@ -155,5 +154,4 @@
       REAL flxmass_w(klon,klev)
 #endif
-cIM   integer iflag_con
 #include "clesphys.h"
 
@@ -266,6 +264,4 @@
 C Variables liees a l'ecriture de la bande histoire : phytrac.nc
 c
-cIM   INTEGER ecrit_tra
-cIM   SAVE ecrit_tra   
       logical ok_sync
       parameter (ok_sync = .true.)
@@ -387,6 +383,5 @@
          if (debutphy) then
 
-cIM       ecrit_tra = NINT(86400./pdtphys *ecritphy) 
-cIM       print*,'dans phytrac ',pdtphys,ecritphy,ecrit_tra
+          print*,'dans phytrac ',pdtphys,ecritphy,ecrit_tra
 
          if(nbtr.lt.nqmax) then
@@ -753,5 +748,5 @@
 c si radio=true mais pour l'instant radiornpb propre au cas rnpb
       if(rnpb) then
-        print *, 'decroissance radiactive activee'
+c       print *, 'decroissance radiactive activee'
         call radiornpb (tr_seri,pdtphys,tautr,d_tr_dec)
 C
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/undefSTD.F
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/undefSTD.F	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/undefSTD.F	(revision 740)
@@ -1,4 +1,4 @@
       SUBROUTINE undefSTD(nlevSTD,itap,tlevSTD,
-     $           ecrit_hf,
+     $           dtime, ecrit_hf,
      $           oknondef,tnondef,tsumSTD)
       IMPLICIT none
@@ -30,5 +30,5 @@
       INTEGER nlevSTD, klevSTD, itap
       PARAMETER(klevSTD=17)
-      INTEGER ecrit_hf
+      REAL dtime, ecrit_hf
 c
 c variables locales
@@ -63,5 +63,5 @@
 c calcul variables toutes les 6h
 c
-      IF(MOD(itap,ecrit_hf).EQ.0) THEN
+      IF(MOD(itap,NINT(ecrit_hf/dtime)).EQ.0) THEN
 c
        DO k=1, nlevSTD
@@ -78,5 +78,5 @@
        ENDDO !k
 
-      ENDIF !MOD(itap,ecrit_hf).EQ.0
+      ENDIF
 c
       RETURN
Index: /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/write_histrac.h
===================================================================
--- /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/write_histrac.h	(revision 739)
+++ /LMDZ4/branches/LMDZ4_V2_patch/libf/phylmd/write_histrac.h	(revision 740)
@@ -6,6 +6,9 @@
       ndex3d = 0
 c
-      itau_w = itau_phy + nstep
-      
+cIM itau_phy n'est pas defini dans phytrac   itau_w = itau_phy + nstep
+      itau_w = nstep
+c     print*,'write_histrac: itau_w itau_phy nstep',itau_w,itau_phy,
+c    $ nstep
+c      
       CALL gr_fi_ecrit(1,klon,iim,jjm+1,pphis,zx_tmp_2d)
       CALL histwrite(nid_tra,"phis",itau_w,zx_tmp_2d,iim*(jjm+1),ndex2d)
